## DMS Activate Manual request DMS Activate Manual request |

## Functions

QmiMessageDmsActivateManualInput * | qmi_message_dms_activate_manual_input_new ()
QmiMessageDmsActivateManualInput * | qmi_message_dms_activate_manual_input_ref ()
void | qmi_message_dms_activate_manual_input_unref ()
gboolean | qmi_message_dms_activate_manual_input_get_prl ()
gboolean | qmi_message_dms_activate_manual_input_set_prl ()
gboolean | qmi_message_dms_activate_manual_input_get_mn_aaa_key ()
gboolean | qmi_message_dms_activate_manual_input_set_mn_aaa_key ()
gboolean | qmi_message_dms_activate_manual_input_get_mn_ha_key ()
gboolean | qmi_message_dms_activate_manual_input_set_mn_ha_key ()
gboolean | qmi_message_dms_activate_manual_input_get_info ()
gboolean | qmi_message_dms_activate_manual_input_set_info ()
QmiMessageDmsActivateManualOutput * | qmi_message_dms_activate_manual_output_ref ()
void | qmi_message_dms_activate_manual_output_unref ()
gboolean | qmi_message_dms_activate_manual_output_get_result ()
void | qmi_client_dms_activate_manual ()
QmiMessageDmsActivateManualOutput * | qmi_client_dms_activate_manual_finish ()

## Types and Values

| QmiMessageDmsActivateManualInput
| QmiMessageDmsActivateManualOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageDmsActivateManualInput
        ╰── QmiMessageDmsActivateManualOutput

## Description

## Functions

### qmi_message_dms_activate_manual_input_new ()

    QmiMessageDmsActivateManualInput *
    qmi_message_dms_activate_manual_input_new
                                   (void);

Allocates a new QmiMessageDmsActivateManualInput.

#### Returns

the newly created QmiMessageDmsActivateManualInput. The returned value should be freed with `qmi_message_dms_activate_manual_input_unref()`.

Since: 1.0

### qmi_message_dms_activate_manual_input_ref ()

    QmiMessageDmsActivateManualInput *
    qmi_message_dms_activate_manual_input_ref
                                   (QmiMessageDmsActivateManualInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsActivateManualInput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_dms_activate_manual_input_unref ()

    void
    qmi_message_dms_activate_manual_input_unref
                                   (QmiMessageDmsActivateManualInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsActivateManualInput. |

Since: 1.0

### qmi_message_dms_activate_manual_input_get_prl ()

    gboolean
    qmi_message_dms_activate_manual_input_get_prl
                                   (QmiMessageDmsActivateManualInput *self,
                                    guint16 *value_prl_prl_total_length,
                                    guint8 *value_prl_prl_segment_sequence,
                                    GArray **value_prl_prl_segment,
                                    GError **error);

Get the 'PRL' field from `self` .

#### Parameters

self | a QmiMessageDmsActivateManualInput. |
value_prl_prl_total_length | a placeholder for the output guint16, or `NULL` if not required. |
value_prl_prl_segment_sequence | a placeholder for the output sequence number, or `NULL` if not required. |
value_prl_prl_segment | a placeholder for the output GArray of guint8 elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.6

### qmi_message_dms_activate_manual_input_set_prl ()

    gboolean
    qmi_message_dms_activate_manual_input_set_prl
                                   (QmiMessageDmsActivateManualInput *self,
                                    guint16 value_prl_prl_total_length,
                                    guint8 value_prl_prl_segment_sequence,
                                    GArray *value_prl_prl_segment,
                                    GError **error);

Set the 'PRL' field in the message.

#### Parameters

self | a QmiMessageDmsActivateManualInput. |
value_prl_prl_total_length | a guint16. |
value_prl_prl_segment_sequence | the sequence number. |
value_prl_prl_segment | a GArray of guint8 elements. A new reference to `value_prl_prl_segment` will be taken. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.6

### qmi_message_dms_activate_manual_input_get_mn_aaa_key ()

    gboolean
    qmi_message_dms_activate_manual_input_get_mn_aaa_key
                                   (QmiMessageDmsActivateManualInput *self,
                                    const gchar **value_mn_aaa_key,
                                    GError **error);

Get the 'MN AAA key' field from `self` .

#### Parameters

self | a QmiMessageDmsActivateManualInput. |
value_mn_aaa_key | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_dms_activate_manual_input_set_mn_aaa_key ()

    gboolean
    qmi_message_dms_activate_manual_input_set_mn_aaa_key
                                   (QmiMessageDmsActivateManualInput *self,
                                    const gchar *value_mn_aaa_key,
                                    GError **error);

Set the 'MN AAA key' field in the message.

#### Parameters

self | a QmiMessageDmsActivateManualInput. |
value_mn_aaa_key | a constant string with a maximum length of 16 characters. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_dms_activate_manual_input_get_mn_ha_key ()

    gboolean
    qmi_message_dms_activate_manual_input_get_mn_ha_key
                                   (QmiMessageDmsActivateManualInput *self,
                                    const gchar **value_mn_ha_key,
                                    GError **error);

Get the 'MN HA key' field from `self` .

#### Parameters

self | a QmiMessageDmsActivateManualInput. |
value_mn_ha_key | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_dms_activate_manual_input_set_mn_ha_key ()

    gboolean
    qmi_message_dms_activate_manual_input_set_mn_ha_key
                                   (QmiMessageDmsActivateManualInput *self,
                                    const gchar *value_mn_ha_key,
                                    GError **error);

Set the 'MN HA key' field in the message.

#### Parameters

self | a QmiMessageDmsActivateManualInput. |
value_mn_ha_key | a constant string with a maximum length of 16 characters. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_dms_activate_manual_input_get_info ()

    gboolean
    qmi_message_dms_activate_manual_input_get_info
                                   (QmiMessageDmsActivateManualInput *self,
                                    const gchar **value_info_service_programming_code,
                                    guint16 *value_info_system_identification_number,
                                    const gchar **value_info_mobile_directory_number,
                                    const gchar **value_info_mobile_identification_number,
                                    GError **error);

Get the 'Info' field from `self` .

#### Parameters

self | a QmiMessageDmsActivateManualInput. |
value_info_service_programming_code | a placeholder for the output constant string, or `NULL` if not required. |
value_info_system_identification_number | a placeholder for the output guint16, or `NULL` if not required. |
value_info_mobile_directory_number | a placeholder for the output constant string, or `NULL` if not required. |
value_info_mobile_identification_number | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.6

### qmi_message_dms_activate_manual_input_set_info ()

    gboolean
    qmi_message_dms_activate_manual_input_set_info
                                   (QmiMessageDmsActivateManualInput *self,
                                    const gchar *value_info_service_programming_code,
                                    guint16 value_info_system_identification_number,
                                    const gchar *value_info_mobile_directory_number,
                                    const gchar *value_info_mobile_identification_number,
                                    GError **error);

Set the 'Info' field in the message.

#### Parameters

self | a QmiMessageDmsActivateManualInput. |
value_info_service_programming_code | a constant string of exactly 6 characters. |
value_info_system_identification_number | a guint16. |
value_info_mobile_directory_number | a constant string with a maximum length of 15 characters. |
value_info_mobile_identification_number | a constant string with a maximum length of 15 characters. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.6

### qmi_message_dms_activate_manual_output_ref ()

    QmiMessageDmsActivateManualOutput *
    qmi_message_dms_activate_manual_output_ref
                                   (QmiMessageDmsActivateManualOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsActivateManualOutput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_dms_activate_manual_output_unref ()

    void
    qmi_message_dms_activate_manual_output_unref
                                   (QmiMessageDmsActivateManualOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsActivateManualOutput. |

Since: 1.0

### qmi_message_dms_activate_manual_output_get_result ()

    gboolean
    qmi_message_dms_activate_manual_output_get_result
                                   (QmiMessageDmsActivateManualOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageDmsActivateManualOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.0

### qmi_client_dms_activate_manual ()

    void
    qmi_client_dms_activate_manual (QmiClientDms *self,
                                    QmiMessageDmsActivateManualInput *input,
                                    guint timeout,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously sends a Activate Manual request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_dms_activate_manual_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientDms. |
input | a QmiMessageDmsActivateManualInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.0

### qmi_client_dms_activate_manual_finish ()

    QmiMessageDmsActivateManualOutput *
    qmi_client_dms_activate_manual_finish (QmiClientDms *self,
                                           GAsyncResult *res,
                                           GError **error);

Finishes an async operation started with `qmi_client_dms_activate_manual()`.

#### Parameters

self | a QmiClientDms. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_dms_activate_manual()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageDmsActivateManualOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_dms_activate_manual_output_unref()`.

Since: 1.0

## Types and Values

### QmiMessageDmsActivateManualInput

    typedef struct _QmiMessageDmsActivateManualInput QmiMessageDmsActivateManualInput;

The QmiMessageDmsActivateManualInput structure contains private data and should only be accessed using the provided API.

Since: 1.0

### QmiMessageDmsActivateManualOutput

    typedef struct _QmiMessageDmsActivateManualOutput QmiMessageDmsActivateManualOutput;

The QmiMessageDmsActivateManualOutput structure contains private data and should only be accessed using the provided API.

Since: 1.0